Bug 179272 - [PATCH] graphics/goocanvas: Add new Uses, add NLS Option, fix docs
Summary: [PATCH] graphics/goocanvas: Add new Uses, add NLS Option, fix docs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-03 21:50 UTC by nemysis
Modified: 2013-06-05 16:30 UTC (History)
1 user (show)

See Also:


Attachments
goocanvas-0.15_5.patch (4.17 KB, patch)
2013-06-03 21:50 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-06-03 21:50:00 UTC
- Bump portrevision
- Shorten header
- Add new Uses
- Add dependency for gdkpixbuf2
- Fix GNU/Linux compatibility
- Add OptionsNG
- Add NLS Option
- Fix docs
- Trim pkg-plist

Port maintainer (kwm@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: change, diff: ports)

How-To-Repeat: 
Build log

https://redports.org/buildarchive/20130603182500-20282/
Comment 1 Edwin Groothuis freebsd_committer 2013-06-03 21:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-06-05 16:26:07 UTC
Author: kwm
Date: Wed Jun  5 15:25:53 2013
New Revision: 320001
URL: http://svnweb.freebsd.org/changeset/ports/320001

Log:
  Update to 1.0.0. [1]
  
  Add NLS option and make DOCS optional [2].
  
  PR:		ports/179272 [2]
  Submitted by:	nemysis <nemysis@gmx.ch>
  Obtained from:	Gnome dev repo [1]

Modified:
  head/graphics/goocanvas/Makefile   (contents, props changed)
  head/graphics/goocanvas/distinfo   (contents, props changed)
  head/graphics/goocanvas/pkg-plist   (contents, props changed)

Modified: head/graphics/goocanvas/Makefile
==============================================================================
--- head/graphics/goocanvas/Makefile	Wed Jun  5 15:15:27 2013	(r320000)
+++ head/graphics/goocanvas/Makefile	Wed Jun  5 15:25:53 2013	(r320001)
@@ -1,26 +1,43 @@
-# New ports collection makefile for:	goocanvas
-# Date created:		2006-09-20
-# Whom:			Michael Johnson <ahze@FreeBSD.org>
-#
+# Created by: Michael Johnson <ahze@FreeBSD.org>
 # $FreeBSD$
-#    $MCom: ports/graphics/goocanvas/Makefile,v 1.3 2008/02/27 16:19:11 ahze Exp $
+#    $MCom: ports/trunk/graphics/goocanvas/Makefile 17268 2013-04-01 05:13:11Z marcus $
 
 PORTNAME=	goocanvas
-PORTVERSION=	0.15
-PORTREVISION=	4
+PORTVERSION=	1.0.0
 CATEGORIES=	graphics
 MASTER_SITES=	GNOME
 
 MAINTAINER=	kwm@FreeBSD.org
 COMMENT=	Canvas widget for GTK+
 
-USE_GNOME=	gtk20 gnomehack ltverhack
+USES=		pathfix pkgconfig
+USE_GNOME=	gtk20 ltverhack
 USE_AUTOTOOLS=	libtool
 USE_LDCONFIG=	yes
 USE_BZIP2=	yes
 
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+PORTDOCS=	*
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
+USES+=		gettext
+PLIST_SUB+=	NLS=""
+.else
+PLIST_SUB+=	NLS="@comment "
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|$${datadir}/gtk-doc/html|${DOCSDIR}|' \
 		${WRKSRC}/configure
+.if ! ${PORT_OPTIONS:MDOCS}
+	@${REINPLACE_CMD} -e '/^SUBDIRS/s|docs||g' ${WRKSRC}/Makefile.in
+.endif
+.if ! ${PORT_OPTIONS:MNLS}
+	@${REINPLACE_CMD} -e '/^SUBDIRS/s|po||g' ${WRKSRC}/Makefile.in
+.endif
 
 .include <bsd.port.mk>

Modified: head/graphics/goocanvas/distinfo
==============================================================================
--- head/graphics/goocanvas/distinfo	Wed Jun  5 15:15:27 2013	(r320000)
+++ head/graphics/goocanvas/distinfo	Wed Jun  5 15:25:53 2013	(r320001)
@@ -1,2 +1,2 @@
-SHA256 (goocanvas-0.15.tar.bz2) = 58b522a2757e467c5b9381ee577edd2cc7b9632452de4a2bc4fed76df748802c
-SIZE (goocanvas-0.15.tar.bz2) = 604624
+SHA256 (goocanvas-1.0.0.tar.bz2) = 1c072ef88567cad241fb4addee26e9bd96741b1503ff736d1c152fa6d865711e
+SIZE (goocanvas-1.0.0.tar.bz2) = 570552

Modified: head/graphics/goocanvas/pkg-plist
==============================================================================
--- head/graphics/goocanvas/pkg-plist	Wed Jun  5 15:15:27 2013	(r320000)
+++ head/graphics/goocanvas/pkg-plist	Wed Jun  5 15:25:53 2013	(r320001)
@@ -21,53 +21,7 @@ lib/libgoocanvas.la
 lib/libgoocanvas.so
 lib/libgoocanvas.so.3
 libdata/pkgconfig/goocanvas.pc
-%%DOCSDIR%%/goocanvas/GooCanvas.html
-%%DOCSDIR%%/goocanvas/GooCanvasEllipse.html
-%%DOCSDIR%%/goocanvas/GooCanvasEllipseModel.html
-%%DOCSDIR%%/goocanvas/GooCanvasGrid.html
-%%DOCSDIR%%/goocanvas/GooCanvasGridModel.html
-%%DOCSDIR%%/goocanvas/GooCanvasGroup.html
-%%DOCSDIR%%/goocanvas/GooCanvasGroupModel.html
-%%DOCSDIR%%/goocanvas/GooCanvasImage.html
-%%DOCSDIR%%/goocanvas/GooCanvasImageModel.html
-%%DOCSDIR%%/goocanvas/GooCanvasItemModelSimple.html
-%%DOCSDIR%%/goocanvas/GooCanvasItemSimple.html
-%%DOCSDIR%%/goocanvas/GooCanvasPath.html
-%%DOCSDIR%%/goocanvas/GooCanvasPathModel.html
-%%DOCSDIR%%/goocanvas/GooCanvasPolyline.html
-%%DOCSDIR%%/goocanvas/GooCanvasPolylineModel.html
-%%DOCSDIR%%/goocanvas/GooCanvasRect.html
-%%DOCSDIR%%/goocanvas/GooCanvasRectModel.html
-%%DOCSDIR%%/goocanvas/GooCanvasStyle.html
-%%DOCSDIR%%/goocanvas/GooCanvasTable.html
-%%DOCSDIR%%/goocanvas/GooCanvasTableModel.html
-%%DOCSDIR%%/goocanvas/GooCanvasText.html
-%%DOCSDIR%%/goocanvas/GooCanvasTextModel.html
-%%DOCSDIR%%/goocanvas/GooCanvasWidget.html
-%%DOCSDIR%%/goocanvas/ch01.html
-%%DOCSDIR%%/goocanvas/ch02.html
-%%DOCSDIR%%/goocanvas/ch03.html
-%%DOCSDIR%%/goocanvas/ch04.html
-%%DOCSDIR%%/goocanvas/ch05.html
-%%DOCSDIR%%/goocanvas/goocanvas-GooCanvas-Types.html
-%%DOCSDIR%%/goocanvas/goocanvas-architecture.html
-%%DOCSDIR%%/goocanvas/goocanvas-coordinates.html
-%%DOCSDIR%%/goocanvas/goocanvas-creating-items.html
-%%DOCSDIR%%/goocanvas/goocanvas-goocanvasitem.html
-%%DOCSDIR%%/goocanvas/goocanvas-goocanvasitemmodel.html
-%%DOCSDIR%%/goocanvas/goocanvas-model-view-canvas.html
-%%DOCSDIR%%/goocanvas/goocanvas-overview.html
-%%DOCSDIR%%/goocanvas/goocanvas-simple-canvas.html
-%%DOCSDIR%%/goocanvas/goocanvas-wysiwyg.html
-%%DOCSDIR%%/goocanvas/goocanvas.devhelp
-%%DOCSDIR%%/goocanvas/goocanvas.devhelp2
-%%DOCSDIR%%/goocanvas/home.png
-%%DOCSDIR%%/goocanvas/index.html
-%%DOCSDIR%%/goocanvas/index.sgml
-%%DOCSDIR%%/goocanvas/left.png
-%%DOCSDIR%%/goocanvas/right.png
-%%DOCSDIR%%/goocanvas/style.css
-%%DOCSDIR%%/goocanvas/up.png
-@dirrm %%DOCSDIR%%/goocanvas
-@dirrm %%DOCSDIR%%
+%%NLS%%share/locale/en_GB/LC_MESSAGES/goocanvas.mo
+%%NLS%%share/locale/es/LC_MESSAGES/goocanvas.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/goocanvas.mo
 @dirrm include/goocanvas-1.0
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Koop Mast freebsd_committer 2013-06-05 16:30:31 UTC
State Changed
From-To: open->closed

Comitted thanks